<?php
if (! class_exists ( 'WC_Payment_Gateway_Stripe_Local_Payment' )) {
	return;
}
/**
 *
 * @package Stripe/Gateways
 * @author PaymentPlugins
 *        
 */
class WC_Payment_Gateway_Stripe_Sofort extends WC_Payment_Gateway_Stripe_Local_Payment {

	use WC_Stripe_Local_Payment_Charge_Trait;
	
	public function __construct() {
		$this->synchronous = false;
		$this->local_payment_type = 'sofort';
		$this->currencies = [ 'EUR' 
		];
		$this->countries = [ 'AT', 'BE', 'DE', 'ES', 
				'IT', 'NL' 
		];
		$this->id = 'stripe_sofort';
		$this->tab_title = __ ( 'Sofort', 'woo-stripe-payment' );
		$this->template_name = 'local-payment.php';
		$this->token_type = 'Stripe_Local';
		$this->method_title = __ ( 'Sofort', 'woo-stripe-payment' );
		$this->method_description = __ ( 'Sofort gateway that integrates with your Stripe account.', 'woo-stripe-payment' );
		$this->icon = wc_stripe ()->assets_url ( 'img/sofort.svg' );
		$this->order_button_text = __ ( 'SOFORT', 'woo-stripe-payment' );
		parent::__construct ();
	}

	public function get_source_args($order) {
		return array_merge ( parent::get_source_args ( $order ), [ 
				'sofort' => [ 
						'country' => $order->get_billing_country () 
				] 
		] );
	}
}